<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'expenses',

    /*
     * Modules.
     */
    'modules'   => ['expenses'],

    
    'expenses'       => [
        'model' => [
            'model'                 => \Litecms\Expenses\Models\Expenses::class,
            'table'                 => 'expenses',
            'presenter'             => \Litecms\Expenses\Repositories\Presenter\ExpensesPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['owner_id',  'house_id',  'expense_reason',  'expense_amount'],
            'translatables'         => [],
            'upload_folder'         => 'expenses/expenses',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Expenses',
            'module'    => 'Expenses',
        ],

    ],
];
